#--------------------------------------------------------------------------
#
#   ALHM - Functions
#
#--------------------------------------------------------------------------

from __future__ import division
from math import hypot

from constants import *

from random import random, normalvariate, choice

def random_point(c, s):
    return [normalvariate(c[0], s), normalvariate(c[1], s)]

def chance(p):
    return random() < p

def add(p1, p2):
    return (p1[0] + p2[0], p1[1] + p2[1])

def sub(p1, p2):
    return (p1[0] - p2[0], p1[1] - p2[1])

def scale(c, p):
    return (c * p[0], c * p[1])

def unit(v):
    return scale(1 / hypot(*v), v)

def cc_in_direction(cc, dir):
    return add(cc, dirvec[dir])

def scale_add_to(c, p1, p2):
    p2[0] += c * p1[0]
    p2[1] += c * p1[1]

def points_near(p1, p2, d = 5):
    x1, y1 = p1
    x2, y2 = p2
    return abs(x1 - x2) < d and abs(y1 - y2) < d

def directions_to_cc(cc1, cc2):
    x1, y1 = cc1
    x2, y2 = cc2
    dirs = []
    if x2 > x1:
        dirs.append(RIGHT)
    elif x2 < x1:
        dirs.append(LEFT)
    if y2 > y1:
        dirs.append(DOWN)
    elif y2 < y1:
        dirs.append(UP)
    return dirs
